Web Client Utils - Defect #543

Problem with popup menu
08/14/2012 03:44 PM - Nicola Gervasi

Status: New Start date: 08/14/2012
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web Safari, Chrome (I think all of them)

client):

Description

After plugins.WebClientUtils.addJsReference or plugins.WebClientUtils.addCssReference call popup menus are not working
anymore: clicking on the element that should generate the popup simply does nothing (no errors in the log as well), a simple refresh
of the browser and they start working ok.

History

#1 - 11/01/2012 06:03 PM - Riccardo Albieri

- Assignee set to Patrick Talbot

Same thing on 6.1. Looks like  plugins.WebClientUtils.addJsReference('media:///jquery-ui-1.8.17.custom.min.js') causes the popupMenu not to
work.

#2 - 11/01/2012 06:11 PM - Patrick Talbot
Riccardo Albieri wrote:
Same thing on 6.1. Looks like  plugins.WebClientUtils.addJsReference('media:///jquery-ui-1.8.17.custom.min.js') causes the popupMenu not to

work.

| wonder. Adding a new version of jQuery when jQuery is already injected in the page by Servoy (jQuery 1.5.2) is really not a good idea, so in this
case, this could cause all sorts of trouble that the plugin is not going to solve...

#3 - 11/01/2012 10:03 PM - Nicola Gervasi

It happens when adding jQuery Ul, not jQuery. jQuery Ul is needed if you want to use stuff like the accordion. Should we create a Servoy case for this
issue or do you think it's something related to the plugin itself?

#4 - 11/01/2012 10:26 PM - Patrick Talbot
OK, sorry, | thought it was jQuery.

Is jQuery-Ul 1.8.17 compatible with jQuery 1.5.2?
BTW, they will update jQuery to 1.8.2 in the next Servoy 6.1+ release upon my request.

Also is there no issues with jQuery Ul and the build-in Servoy accordion.

| know there is some issues with injecting references but I'm not doing anything different than Servoy does itself to add js references, this is all just
regular Wicket code, so I'm wondering what kind of JavaScript conflicts can happen when you inject references in the page after it's initialization.

I need to check first whether something can be done at the plugin level for this or not.
